MagickWand: pixel-iterator.h File Reference

# pixel-iterator.h File Reference

`#include "wand/magick-wand.h"`
`#include "wand/pixel-wand.h"`

Go to the source code of this file.

## Typedefs
typedef struct _PixelIterator | PixelIterator
## Functions
WandExport char * | PixelGetIteratorException (const PixelIterator *, ExceptionType *)
WandExport ExceptionType | PixelGetIteratorExceptionType (const PixelIterator *)
WandExport long | PixelGetIteratorRow (PixelIterator *)
WandExport MagickBooleanType | IsPixelIterator (const PixelIterator *)
WandExport MagickBooleanType | PixelClearIteratorException (PixelIterator *)
WandExport MagickBooleanType | PixelSetIteratorRow (PixelIterator *, const long)
WandExport MagickBooleanType | PixelSyncIterator (PixelIterator *)
WandExport PixelIterator * | ClonePixelIterator (const PixelIterator *)
WandExport PixelIterator ** | DestroyPixelIterator (PixelIterator *)
WandExport PixelIterator *** | NewPixelIterator (MagickWand *)
WandExport PixelIterator **** | NewPixelRegionIterator (MagickWand *, const long, const long, const unsigned long, const unsigned long)
WandExport PixelWand ** | PixelGetCurrentIteratorRow (PixelIterator *, unsigned long *)
WandExport PixelWand **** | PixelGetNextIteratorRow (PixelIterator *, unsigned long *)
WandExport PixelWand ****** | PixelGetPreviousIteratorRow (PixelIterator *, unsigned long *)
WandExport void | ClearPixelIterator (PixelIterator *)
WandExport void | PixelResetIterator (PixelIterator *)
WandExport void | PixelSetFirstIteratorRow (PixelIterator *)
WandExport void | PixelSetLastIteratorRow (PixelIterator *)

## Typedef Documentation

typedef struct _PixelIterator PixelIterator

## Function Documentation

WandExport void ClearPixelIterator | ( | PixelIterator * |  | ) |

WandExport PixelIterator* ClonePixelIterator | ( | const PixelIterator * |  | ) |

WandExport PixelIterator* * DestroyPixelIterator | ( | PixelIterator * |  | ) |

WandExport MagickBooleanType IsPixelIterator | ( | const PixelIterator * |  | ) |

WandExport PixelIterator* * * NewPixelIterator | ( | MagickWand * |  | ) |

WandExport PixelIterator* * * * NewPixelRegionIterator | ( | MagickWand * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

WandExport MagickBooleanType PixelClearIteratorException | ( | PixelIterator * |  | ) |

WandExport PixelWand** PixelGetCurrentIteratorRow | ( | PixelIterator * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport char* PixelGetIteratorException | ( | const PixelIterator * | ,
|  | ExceptionType * |  |
| ) |  |  |

WandExport ExceptionType PixelGetIteratorExceptionType | ( | const PixelIterator * |  | ) |

WandExport long PixelGetIteratorRow | ( | PixelIterator * |  | ) |

WandExport PixelWand** ** PixelGetNextIteratorRow | ( | PixelIterator * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport PixelWand** ** ** PixelGetPreviousIteratorRow | ( | PixelIterator * | ,
|  | unsigned long * |  |
| ) |  |  |

WandExport void PixelResetIterator | ( | PixelIterator * |  | ) |

WandExport void PixelSetFirstIteratorRow | ( | PixelIterator * |  | ) |

WandExport MagickBooleanType PixelSetIteratorRow | ( | PixelIterator * | ,
|  | const | long |
| ) |  |  |

WandExport void PixelSetLastIteratorRow | ( | PixelIterator * |  | ) |

WandExport MagickBooleanType PixelSyncIterator | ( | PixelIterator * |  | ) |